# libui-node

These pages document the `libui-node` classes.

If you are new to the framework, you should start reading basic documentation on how it work:

* [Initialization & Event Loop](initialization.md) - explains how to initialize the framework and how the event loop works.
* [Properties](properties.md) - explains how widgets properties are implemented by `libui-node`.
* [Events](events.md) - explains how widgets events are implemented by `libui-node`.
* [Containers](containers.md) - explains how you can group widgets in tree hierarchies using different layout strategies.
* [Attributed Strings](attributedstring.md) - explains how you can style text (font, color, underline, ...)


## Containers widgets
* [UiWindow](window.md) - explains how to create and manage OS windows.
* [UiForm](form.md) - A container that organize children as labeled fields.
* [UiGrid](grid.md) - A powerful container that allow to specify size and position of each children.
* [UiVerticalBox](verticalbox.md) - A container that stack its chidren vertically.
* [UiTab](tab.md) - A container that show each chidren in a separate tab.
* [UiHorizontalBox](horizontalbox.md) - A container that stack its chidren horizontally.
* [UiGroup](group.md) - A container for a single widget that provide a caption and visually group it's children.
## Data entry widgets

* [UiEntry](entry.md) - A simple, single line text entry widget.
* [UiPasswordEntry](passwordentry.md) - A single line text entry widget that mask the input, useful to edit passwords or other sensible data.
* [UiSearchEntry](searchentry.md) - A single line text entry widget to search text.
* [UiMultilineEntry](multilineentry.md) - A multiline text entry widget.
* [UiDatePicker](datepicker.md) - A widgets to edit dates.
* [UiTimePicker](timepicker.md) - A widgets to edit times.
* [UiDateTimePicker](datetimepicker.md) - A widgets to edit date/times.
* [UiCheckbox](checkbox.md) - A checkbox widget.
* [UiSpinbox](spinbox.md) - An entry widget for numerical values.
* [UiSlider](slider.md) - Horizontal slide to set numerical values.
* [UiCombobox](combobox.md) - A drop down combo box that allow list selection only.
* [UiRadioButtons](radiobuttons.md) - A widget that represent a group of radio options.
* [UiEditableCombobox](editablecombobox.md) - A drop down combo box that allow selection from list or free text entry.

## Static widgets

* [UiLabel](label.md) - A static text label.
* [UiVerticalSeparator](verticalseparator.md) - A vertical line to visually separate widgets.
* [UiHorizontalSeparator](horizontalseparator.md) - An horizontal line to visually separate widgets.
* [UiProgressBar](progressbar.md) - Progress bar widget.

## Buttons

* [UiButton](button.md) - A simple button.
* [UiColorButton](colorbutton.md) - A button that opens a color palette popup.
* [UiFontButton](fontbutton.md) - A button that opens a font chooser.
